Bug 1021440 - No response: Cannot connect to destination (cherry2.afbank.ru)
No response: Cannot connect to destination (cherry2.afbank.ru)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution-ews (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 05:50 EDT by Mikhail
Modified: 2015-06-29 20:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:43:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of evolution (87.10 KB, image/png)
2013-10-21 05:50 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-10-21 05:50:58 EDT
Created attachment 814508 [details]
screenshot of evolution

Description of problem:

[mikhail@ws166 ~]$ EWS_DEBUG=2 evolution

** (evolution:12068): WARNING **: The set_id method on WebKitDOMHTMLElement is deprecated. Use the one in WebKitDOMElement instead.

** (evolution:12068): WARNING **: The set_id method on WebKitDOMHTMLElement is deprecated. Use the one in WebKitDOMElement instead.

** (evolution:12068): WARNING **: The set_id method on WebKitDOMHTMLElement is deprecated. Use the one in WebKitDOMElement instead.
< HTTP/1.1 4 Cannot connect to destination (cherry2.afbank.ru)
< Soup-Debug-Timestamp: 1382348111
< Soup-Debug: ESoapMessage 0 (0xb40d408)
  

(evolution:12068): evolution-mail-WARNING **: (mail-send-recv.c:1145):receive_update_got_folderinfo: runtime check failed: (info != NULL)

(evolution:12068): evolution-mail-WARNING **: receive_update_got_folderinfo: No response: Cannot connect to destination (cherry2.afbank.ru)
< HTTP/1.1 4 Cannot connect to destination (cherry2.afbank.ru)
< Soup-Debug-Timestamp: 1382348121
< Soup-Debug: ESoapMessage 0 (0xb5b0bb70)
  

I am sure that the mail was working in Outlook at this time.
Comment 2 Mikhail 2013-10-22 09:12:23 EDT
[mikhail@ws166 ~]$ EWS_DEBUG=1 evolution

 The request headers
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><SOAP-ENV:Header><types:RequestServerVersion xmlns:types="http://schemas.microsoft.com/exchange/services/2006/types" Version="Exchange2007_SP1"/></SOAP-ENV:Header><SOAP-ENV:Body xmlns:messages="http://schemas.microsoft.com/exchange/services/2006/messages"><messages:SyncFolderHierarchy xmlns="http://schemas.microsoft.com/exchange/services/2006/types"><messages:FolderShape><BaseShape>AllProperties</BaseShape></messages:FolderShape></messages:SyncFolderHierarchy></SOAP-ENV:Body></SOAP-ENV:Envelope>


** (evolution:7715): WARNING **: The set_id method on WebKitDOMHTMLElement is deprecated. Use the one in WebKitDOMElement instead.

** (evolution:7715): WARNING **: The set_id method on WebKitDOMHTMLElement is deprecated. Use the one in WebKitDOMElement instead.

** (evolution:7715): WARNING **: The set_id method on WebKitDOMHTMLElement is deprecated. Use the one in WebKitDOMElement instead.
^C
[mikhail@ws166 ~]$
Comment 3 Milan Crha 2013-11-05 04:57:20 EST
Thanks for a bug report. I'm not sure what we can do here, it can be some temporary issue with a network or anything like that. The next time it happens to you, try to ping the server, or even check the traceroute to the address, whether it'll work. The connection should work both for the two command line options (ping and traceroute) and for evolution-ews the same way. I'm closing this for now, as this might get outdated during the time.
Comment 4 Mikhail 2013-11-05 05:09:58 EST
I found reason!!!!
libsoup not support NTLM proxy!!!
For some reasons I needed manually set proxy server before I get network settings via DHCP.
When I get address via DHCP with NTLM proxy worked only browsers and yum.
when I manually set IP address and set proxy server Evolution-EWS stop working.

I think Evolution-EWS and libsoup must support also NTLS proxy server and store proxy login and password for auth in GNOME Keeper.
Comment 5 Mikhail 2013-11-05 05:19:16 EST
Also needed for online accounts have ability specify proxy server.
- use system settings
- set manually for current online account
- disable proxy
Comment 6 Milan Crha 2013-11-05 06:57:48 EST
Thanks for the update. evolution-ews supports proxy settings sine 3.9.2, as part of bug [1]. Isn't it possible that yours Edit->preferences->Network Preferences has setup some weird proxy server which confuses libsoup? I suppose gnome-online-accounts uses system proxy settings.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=698728
Comment 7 Fedora Admin XMLRPC Client 2014-09-04 10:33:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora End Of Life 2015-05-29 05:36:21 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-06-29 20:43:58 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.